Summary: A GNU tool which control the program build process from source files 
Name: make
Version: 4.4.1
Release: 1%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/make/
Source0: https://ftp.gnu.org/gnu/make/make-%{version}.tar.gz

BuildRequires: autoconf, automake, gettext-devel
BuildRequires: gcc make
BuildRequires: procps perl


%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files. Make
allows users to build and install packages without any significant
knowledge about the details of the build process. The details about
how the program should be built are provided for make in the program's
makefile.


%prep
%autosetup -p1

%build
autoreconf -fvi
%configure
%make_build

%install
%make_install
ln -sf make ${RPM_BUILD_ROOT}/%{_bindir}/gmake
ln -sf make.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/gmake.1
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

%find_lang %name

%check
/usr/bin/env LANG=C make check

%files -f %{name}.lang
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/*.info*
%{_includedir}/gnumake.h


%changelog
* Mon Jul 24 2023 cunshunxia <cunshunxia@tencent.com> - 4.4.1-1
- upgrade to 4.4.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Apr 19 2022 Lin Yi <nilusyi@tencent.com> - 4.3-1
- package init
